@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');

* {
    box-sizing: border-box;
    font-family: 'Poppins', Arial, sans-serif;
    scroll-behavior: smooth;
}

:root {
    --branco-principal: #F2F2F2;
    --preto-principal: #0D0D0D;
    --azul-escuro: #023E73;
    --azul-claro: #05C7F2;
    --azul-alternativo: #05F2DB;
    font-size: 16px;
}

body {
    background-color: var(--branco-principal);
    margin: 0;
    padding: 0;
}

.cabecalho {
    background-color: var(--branco-principal);
    display: flex;
    justify-content: center;
    position: fixed;
    width: 100%;
    height: 15rem;
    box-shadow: 0rem 0.5rem 5rem hsla(0, 0%, 0%, 20%);
    padding: 1rem;
    top: 0;
    left: 0;
}

.cabecalho a {
    display: flex;
    justify-content: center;
    align-items: center;
}

#logo-cabecalho {
    height: 70%;
    margin: auto 0;
}

.nav-cabecalho {
    width: 100%;
    margin: auto 0;
}

main {
    margin: 0 0 3rem 0;
}

.secao-topicos {
    width: 90vw;
    background-color: var(--branco-principal);
    color: var(--preto-principal);
    border-radius: 1rem;
    margin: 2rem auto 0;
    padding: 4rem;
    box-shadow: 0 1rem 1rem grey;
}

h1 {
    font-size: 5rem;
    color: var(--azul-escuro);
    margin-bottom: 0;
}

p {
    font-size: 2rem;
    text-align: justify;
}

hr {
    height: 1rem;
    border: none;
    background-color: var(--azul-escuro);
    margin-bottom: 4rem;
}

.secao-topicos p {
    font-size: 3rem;
}

.lista-servicos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    list-style: none;
    font-size: 3rem;
    margin: 0;
    padding: 0;
    gap: 6rem;
}

.lista-servicos li {
    text-align: center;
}

.icones {
    width: 20rem;
}

.icones-solucoes {
    max-width: 40rem;
    min-width: 30rem;
    max-height: 40rem;
}

.lista-solucoes {
    display: grid;
    grid-template-columns: 1fr;
    list-style: none;
    font-size: 3rem;
    margin: 0;
    padding: 0;
    gap: 6rem;
}

li {
    margin: auto auto;
}

footer {
    width: 100%;
    background-color: var(--azul-escuro);
    height: 40rem;
    margin: 0;
    color: var(--branco-principal);
    font-size: 5rem;
    padding-top: 2rem;
}

.social-icons {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 0;
}

.social-icons li {
    margin: 1rem 1rem 1rem;
}

.p-footer {
    text-align: center;
}

footer a {
    color: var(--branco-principal);
    text-decoration: none;
}

.hr-footer {
    height: 0.2rem;
    border: none;
    background-color: var(--branco-principal);
    width: 90%;
    margin: 5rem auto 5rem;
}

.section-tech {
    width: 100%;
    height: 110rem;
    box-shadow: inset 0 0 5rem rgba(49, 49, 49, 0.3);
    background-image: linear-gradient(rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.7)), url('./tech.jpg');
    background-size: cover;
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
    padding: 30rem 3rem ;
}

.div-slogan {
    width: 90%;
    border-left: 1.5rem solid var(--azul-escuro);
    padding: 0 0 0 4rem;
}

.div-slogan span {
    font-size: 10rem;
    font-weight: bold;
    color: var(--azul-escuro);
}

.lista-cases {
    display: grid;
    grid-template-columns: 1fr;
    list-style: none;
    font-size: 3rem;
    margin: 0;
    padding: 0;
    gap: 4rem;
    text-align: center;
}

.lista-cases li {
    background-color: var(--azul-escuro);
    color: var(--branco-principal);
    min-width: 45rem;
    border-radius: 2rem;
    margin: 0;
    padding: 4rem 2rem;
    line-height: 4rem;
}

li span {
    font-weight: bold;
}

.lista-cases hr {
    height: 4px;
    background-color: var(--branco-principal);
    border: none;
    margin: 4rem 4rem;
}

.botao-contatos {
    width: 30rem;
    height: 10rem;
    border: 0.5rem solid var(--azul-escuro);
    border-radius: 2rem;
    margin: 10rem auto;
    font-size: 3.5rem;
    font-weight: bold;
    text-align: center;
    padding-top: 1.75rem;
    color: var(--azul-escuro);
    text-decoration: none;
}

.botao-contatos:hover {
    background-color: var(--azul-escuro);
    color: var(--branco-principal);
}

@media only screen and (min-width: 1024px) {
    :root {
        font-size: 6px;
    }
    .cabecalho {
        height: 20rem;
    }
    .section-tech {
        height: 100rem;
    }
    .secao-topicos {
        width: 70vw;
        margin: 6rem auto 0;
        border-radius: 2rem;
    }
    .lista-servicos {
        grid-template-columns: repeat(4, 1fr);
    }
    .lista-solucoes {
        grid-template-columns: 1fr 1fr;
    }
    .lista-cases {
        grid-template-columns: 1fr 1fr;
    }
    .section-tech {
        padding: 35rem 40rem 10rem;
    }
}